import { async, ComponentFixture, TestBed } from '@angular/core/testing';
import { NavigatorComponent } from './navigator.component';
import { By } from '@angular/platform-browser';

describe('NavigatorComponent', () => {
  let component: NavigatorComponent;
  let fixture: ComponentFixture<NavigatorComponent>;
  const navigationIds: string[] = ['first', 'second', 'third'];

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [ NavigatorComponent ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(NavigatorComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create navigator', () => {
    expect(component).toBeTruthy();
  });

  it('should show a list of navigation buttons', () => {
    component.ids = navigationIds;
    fixture.detectChanges();
    const navigationButtons = fixture.debugElement.queryAll(By.css('button'));
    expect(navigationButtons.length).toEqual(3);
  });

  it('should link to an element on page with corresponding id', () => {
    component.ids = navigationIds;
    fixture.detectChanges();
    const navigationLinks = fixture.debugElement.queryAll(By.css('a'));
    expect(navigationLinks.length).toEqual(3);
    expect(navigationLinks[0].nativeElement.getAttribute('href')).toEqual('#' + navigationIds[0]);
  });
});
