import { Component, Input, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Subscription } from 'rxjs';

@Component({
  selector: 'nguip-navigator',
  templateUrl: './navigator.component.html',
  styleUrls: ['./navigator.component.css']
})
export class NavigatorComponent implements OnInit {
  private fragment: string;
  private _routeSubscription: Subscription;
  @Input() ids: string[];
  @Input() theme?: string; // future support to be added for theming

  constructor(private route: ActivatedRoute) { }
  ngOnInit() {
    this._routeSubscription = this.route.fragment.subscribe(
      (fragment: string) => {
        if (fragment) {
          this.fragment = fragment;
          const element: HTMLElement = document.getElementById(fragment);
          if (element) {
            element.scrollIntoView();
            element.focus();
          }
        } else {
          window.scrollTo(0, 0);
        }
      });
  }
}
